org.apache.mina.core.session

## Class IdleStatus

- java.lang.Object
- - org.apache.mina.core.session.IdleStatus

-     public class IdleStatus
      extends Object

  Represents the type of idleness of `IoSession` or `IoSession`. There are three types of idleness:
  - `READER_IDLE` - No data is coming from the remote peer.
  - `WRITER_IDLE` - Session is not writing any data.
  - `BOTH_IDLE` - Both `READER_IDLE` and `WRITER_IDLE`.

  Idle time settings are all disabled by default. You can enable them using `IoSessionConfig.setIdleTime(IdleStatus,int)`.

  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IdleStatus` | `BOTH_IDLE` Represents both `READER_IDLE` and `WRITER_IDLE`.
    `static IdleStatus` | `READER_IDLE` Represents the session status that no data is coming from the remote peer.
    `static IdleStatus` | `WRITER_IDLE` Represents the session status that the session is not writing any data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Returns the string representation of this status.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### READER_IDLE

          public static final IdleStatus READER_IDLE

      Represents the session status that no data is coming from the remote peer.

    - #### WRITER_IDLE

          public static final IdleStatus WRITER_IDLE

      Represents the session status that the session is not writing any data.

    - #### BOTH_IDLE

          public static final IdleStatus BOTH_IDLE

      Represents both `READER_IDLE` and `WRITER_IDLE`.

  - ### Method Detail

    - #### toString

          public String toString()

      Returns the string representation of this status.
      - `READER_IDLE` - `"reader idle"`
      - `WRITER_IDLE` - `"writer idle"`
      - `BOTH_IDLE` - `"both idle"`
      Overrides:
        `toString` in class `Object`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.